POST
/api/v1/request-license/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/request-license/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "sku_id": "977", "license_count": 1, "vcpus": "", "public_ip": "172.16.231.6", "private_ip": "172.16.231.6", "node_os": "CentOS", "node_id": 1, "contact_type": "", "license_name": "REMOTE DESKTOP LICENSE"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/request-license/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "sku_id": "977", "license_count": 1, "vcpus": "", "public_ip": "172.16.231.6", "private_ip": "172.16.231.6", "node_os": "CentOS", "node_id": 1, "contact_type": "", "license_name": "REMOTE DESKTOP LICENSE", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/request-license/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "sku_id": "977", "license_count": 1, "vcpus": "", "public_ip": "172.16.231.6", "private_ip": "172.16.231.6", "node_os": "CentOS", "node_id": 1, "contact_type": "", "license_name": "REMOTE DESKTOP LICENSE" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
sku_id
required
string
Example
977license_count
required
integer
Example
1vcpus
string
Example
public_ip
required
string format: ipv4
Example
172.16.231.6private_ip
required
string format: ipv4
Example
172.16.231.6node_os
required
string
Example
CentOSnode_id
required
integer
Example
1contact_type
string
Example
license_name
required
string
Example
REMOTE DESKTOP LICENSEResponses
Section titled “Responses”Successful response with validation status
Media typeapplication/json
object
code
integer
data
object
public_ip
boolean
message
string
errors
object
message
string
Example
{ "code": 200, "data": { "public_ip": false, "message": "Entered Public IP is not valid." }, "errors": {}, "message": "Success"}